# Uses of Class
org.eclipse.gef.graph.Graph

## Uses of Graph in org.eclipse.gef.graph

Methods in org.eclipse.gef.graph that return Graph
Modifier and Type
Method
Description
`Graph`
Edge.Builder.`build()`
Constructs a new `Graph` from the values which have been supplied to the builder chain.
`Graph`
Graph.Builder.`build()`
Constructs a new `Graph` from the values which have been supplied to this `Graph.Builder`.
`Graph`
Node.Builder.`build()`
Constructs a new `Graph` from the values which have been supplied to the builder chain.
`Graph`
GraphCopier.`copy(Graph graph)`
Creates a copy of the given `Graph`.
`protected Graph`
GraphCopier.`copyGraph(Graph graph)`
Copies the given `Graph` using the current `IAttributeCopier`.
`Graph`
Edge.`getGraph()`
Returns the `Graph` to which this `Edge` belongs.
`Graph`
Node.`getGraph()`
Returns the `Graph` to which this `Node` belongs.
`Graph`
Node.`getNestedGraph()`
Returns the `Graph` that is nested inside of this `Node`.
`Graph`
Graph.`getRootGraph()`
Returns the root graph of this Graph.
Methods in org.eclipse.gef.graph with parameters of type Graph
Modifier and Type
Method
Description
`Graph`
GraphCopier.`copy(Graph graph)`
Creates a copy of the given `Graph`.
`protected void`
GraphCopier.`copyEdges(Graph graph, Graph outputGraph)`
Copies all the edges of the given graph into the output graph.
`protected Graph`
GraphCopier.`copyGraph(Graph graph)`
Copies the given `Graph` using the current `IAttributeCopier`.
`protected void`
GraphCopier.`copyNodes(Graph graph, Graph outputGraph)`
Copies all the nodes of the given graph into the output graph.
`void`
Node.`setNestedGraph(Graph nestedGraph)`
Sets the `Graph` which is nested inside this `Node` to the given value.
Method parameters in org.eclipse.gef.graph with type arguments of type Graph
Modifier and Type
Method
Description
`<T> Graph.Builder`
Graph.Builder.`attr(BiConsumer<Graph,T> setter, T value)`
Uses the given setter to set the attribute value.